using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.DTableBBS
{
	/// <summary>
	/// update 的摘要说明。
	/// </summary>
	public class update : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label L_list;
		protected System.Web.UI.WebControls.Image Img_addnew;
		protected System.Web.UI.WebControls.Label L_user;
		protected System.Web.UI.WebControls.Label L_bbsname;
		protected dtable.dTable DTable1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			L_bbsname.Text=sharecode.strBBSName;
			string strb=sharecode.GetQueryStringValue("b");
			string strid=sharecode.GetQueryStringValue("id");
			string stractive=sharecode.GetQueryStringValue("op");
			string struser=sharecode.GetSessionValue(sharecode.strUserSName);
			string strsuperadmin=sharecode.GetSessionValue(sharecode.strSuperAdminSName);
			if(struser=="" && strsuperadmin=="")//如果没有登录
			{
				sharecode.OutMsgBox("请登录后再进行管理操作",true);
			}
System.Data.SqlClient.SqlConnection oconn=new System.Data.SqlClient.SqlConnection(sharecode.ConnStr);

			string strstate="";
if(sharecode.GetFormValue("field1")=="" && strb!="")//如果不是更新提交状态
			//if(sharecode.GetFormValue("field1")=="" && sharecode.GetQueryStringValue("showhtmlcolde")=="" && sharecode.GetQueryStringValue("showhefileup")=="" )//如果不是更新提交状态
			{
				//开始验证用户是否是版主或者是否是超级管理员
				if(strsuperadmin.Length>0)
				{
				}
				else//不是超级管理员就检验是否是版主
				{
				System.Data.SqlClient.SqlCommand mycmd=new System.Data.SqlClient.SqlCommand("select id,版主,栏目名称 from DTable_BBS_Board where id=" + strb,oconn);
			    oconn.Open();
			    System.Data.SqlClient.SqlDataReader myreader=mycmd.ExecuteReader();
					string strthisbz="";
					string strthislmmc="";
					
					if(myreader.Read())
					{
						if(!myreader.IsDBNull(1))
						{
							strthisbz=myreader.GetValue(1).ToString();
							
						}
						if(!myreader.IsDBNull(2))
						{
							strthislmmc=myreader.GetValue(2).ToString();
						}
					}
					myreader.Close();
					mycmd.Dispose();
					oconn.Close();
					if(System.Convert.ToString("," + strthisbz + ",").IndexOf("," + struser + ",")<0)//如果不是版主,就返回
					{
						oconn.Dispose();
						sharecode.OutMsgBox("您没有权限进行管理",true);
					}

				}
                
				
				//	Page.Response.Redirect(Page.Request.UrlReferrer.AbsoluteUri.ToString(),true);
				//}
			}
			else
			{
				
			}
		string strsql="";//定义本次操作的sql语句
		if(stractive=="zd")//置顶
	{
		strsql="update DTable_BBS set 置顶=1 where id=" + strid + " and 栏目=" + strb;
		DTable1.Enabled=false;
		strstate="置顶操作";
	}
	else if(stractive=="unzd")
{
	strsql="update DTable_BBS set 置顶=0 where id=" + strid + " and 栏目=" + strb;
	DTable1.Enabled=false;
	strstate="解除置顶操作";
}
	else if(stractive=="del")
{
	strsql="update DTable_BBS set 删除=1 where id=" + strid + " and 栏目=" + strb;
	DTable1.Enabled=false;
	strstate="删除回复操作";
}
	else if(stractive=="delete")
{
	strsql="update DTable_BBS set 删除=1 where (id=" + strid + " or 父id=" + strid + ") and 栏目=" + strb;
	DTable1.Enabled=false;
	strstate="删除帖子操作";
}

	else if(stractive=="gg")
{
	DTable1.Enabled=true;
	DTable1.ConnStr=sharecode.ConnStr;
	DTable1.TableName="DTable_BBS_info";
	DTable1.List_Enable=false;
	DTable1.Show_Enable=false;
	DTable1.List_SQL ="select count(*) from DTable_BBS_info";
	DTable1.Edit_EnableAdd =true;
	DTable1.Edit_FieldList="id,广播主题 as 主题,开始时间,结束时间,广播内容 as 内容,发布人,所属栏目"; 
	DTable1.Edit_FieldFormat ="2||defaultvalue|" + System.DateTime.Now.ToString()  + "||||^3||defaultvalue|" + System.DateTime.Now.AddDays(30).ToString()  + "||||^4||htmledit|../img_up||||^5||autovalue|" + struser + "||||^6||autovalue|" + strb + "||||";
					
	DTable1.List_Sty_Table="width=\"100%\" height=\"28\" border=\"1\" align=\"center\" cellPadding=\"3\" cellSpacing=\"0\" borderColor=\"#111111\" borderColorLight=\"#666688\" borderColorDark=\"#666688\" style=\"BORDER-COLLAPSE: collapse\""; 
	DTable1.List_Sty_Row2="bgcolor=\"#eef3f9\""; 
	DTable1.List_Sty_Row1=""; 
	DTable1.Edit_AddFinish_Script="alert('发布公告成功!');window.open('list.aspx?DTable_b=" + strb + "','_self','');";
	L_list.Text="发布公告";
			DTable1.Edit_EnablePostAndAddNewButton =false;
					
					

}
		else if(stractive=="ggedt")
		{
			DTable1.Enabled=true;
			DTable1.ConnStr=sharecode.ConnStr;
			DTable1.TableName="DTable_BBS_info";
			DTable1.List_Enable=false;
			DTable1.Show_Enable=false;
			DTable1.List_SQL ="select count(*) from DTable_BBS_info";
			//DTable1.Edit_EnableAdd =true;
			DTable1.Edit_EnableEdt =true;
			DTable1.Edit_FieldList="id,广播主题 as 主题,开始时间,结束时间,广播内容 as 内容"; 
			DTable1.Edit_FieldFormat ="4||htmledit|../img_up||||";
					
			DTable1.List_Sty_Table="width=\"100%\" height=\"28\" border=\"1\" align=\"center\" cellPadding=\"3\" cellSpacing=\"0\" borderColor=\"#111111\" borderColorLight=\"#666688\" borderColorDark=\"#666688\" style=\"BORDER-COLLAPSE: collapse\""; 
			DTable1.List_Sty_Row2="bgcolor=\"#eef3f9\""; 
			DTable1.List_Sty_Row1=""; 
			DTable1.Edit_AddFinish_Script="alert('更新公告成功!');window.open('list.aspx?DTable_b=" + strb + "','_self','');";
			L_list.Text="更新公告";
			DTable1.Edit_EnablePostAndAddNewButton =false;
					
					

		}
	else if(stractive=="edt")
{
	DTable1.Enabled=true;
	DTable1.ConnStr=sharecode.ConnStr;
	DTable1.TableName="DTable_BBS";
	DTable1.List_SQL ="select count(*) from DTableBBS";
	DTable1.List_Enable=false;
	DTable1.Show_Enable=false;
	DTable1.Edit_EnableEdt  =true;
	DTable1.Edit_FieldList="id,内容"; 
	DTable1.Edit_FieldFormat ="1||htmledit|../img_up||||";
	DTable1.List_Sty_Table="width=\"100%\" height=\"28\" border=\"1\" align=\"center\" cellPadding=\"3\" cellSpacing=\"0\" borderColor=\"#111111\" borderColorLight=\"#666688\" borderColorDark=\"#666688\" style=\"BORDER-COLLAPSE: collapse\""; 
	DTable1.List_Sty_Row2="bgcolor=\"#eef3f9\""; 
	DTable1.List_Sty_Row1=""; 
	DTable1.Edit_UpdateFinish_Script="alert('更新帖子成功!');window.open('show.aspx?addnew=true&rMviewid=" + strid + "','_self','');";
			L_list.Text="更新帖子";
 

}
			if(DTable1.Enabled==false)//表明是置顶或者删除状态
			{
				oconn.Open();
				System.Data.SqlClient.SqlCommand mycmd1=new System.Data.SqlClient.SqlCommand(strsql,oconn);
				try
				{
					mycmd1.ExecuteNonQuery();
				}
				catch
				{
					mycmd1.Dispose();
					oconn.Close();
					oconn.Dispose();
					sharecode.OutMsgBox("执行" + strstate + "失败",true);
				}
				mycmd1.Dispose();
				oconn.Close();
				oconn.Dispose();
				Page.Response.Write("<script language=javascript>alert('" + strstate + "成功!');window.open('list.aspx?DTable_b=" + strb + "','_self','');</script>");
			}
			}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
